# Uses of Interface
org.apache.wiki.search.SearchManager

Packages that use SearchManager
Package
Description
org.apache.wiki
The chief package of JSPWiki.
org.apache.wiki.search
Provides the JSPWiki search functionality.

## Uses of SearchManager in org.apache.wiki

Methods in org.apache.wiki that return SearchManager
Modifier and Type
Method
Description
`SearchManager`
WikiEngine.`getSearchManager()`
Deprecated.
use `getManager( SearchManager.class )` instead.

## Uses of SearchManager in org.apache.wiki.search

Classes in org.apache.wiki.search that implement SearchManager
Modifier and Type
Class
Description
`class`
`DefaultSearchManager`
Manages searching the Wiki.